#ifndef SCANNER_H
#define SCANNER_H

#include <glib-object.h>
#include <nfc/nfc.h>

G_BEGIN_DECLS

#define YACOS_TYPE_SCANNER yacos_scanner_get_type()
G_DECLARE_FINAL_TYPE(YacosScanner, yacos_scanner, YACOS, SCANNER, GObject)

YacosScanner *yacos_scanner_new(void);

enum YACOS_SCANNER_TAG_TYPE {
	TAG_TYPE_NONE = 0,
	TAG_TYPE_ITEM,
	TAG_TYPE_ID
};

struct yacos_scanner_tag {
	uint32_t tag_id; // TODO: Maybe make this a uint64
	enum YACOS_SCANNER_TAG_TYPE tag_type;
};

G_END_DECLS

#endif // SCANNER_H
