#include "cart_item.h"

G_DEFINE_TYPE(YacosCartItem, yacos_cart_item, GTK_TYPE_LIST_BOX_ROW)

static void yacos_cart_item_dispose(GObject *obj)
{
	/* destroy parent container. This destroys all widgets inside */
	G_OBJECT_CLASS(yacos_cart_item_parent_class)->dispose(obj);
}

static void yacos_cart_item_constructed(GObject *obj)
{
	G_OBJECT_CLASS(yacos_cart_item_parent_class)->constructed(obj);
}

static void yacos_cart_item_class_init(YacosCartItemClass *klass)
{
	GObjectClass *oclass = G_OBJECT_CLASS(klass);
	oclass->dispose = yacos_cart_item_dispose;
	oclass->constructed = yacos_cart_item_constructed;
}

static void yacos_cart_item_init(YacosCartItem *self)
{
	GtkBuilder *builder;
	GtkWidget *box;
	builder = gtk_builder_new_from_resource("/net/notsyncing/yacos/glade/cartItem.glade");
	box = GTK_WIDGET(gtk_builder_get_object(builder, "cart_item"));
	gtk_container_add(GTK_CONTAINER(self), box);

	// TODO: Get elements

	g_object_unref(builder);
}

GtkWidget *yacos_cart_item_new(void)
{
	return GTK_WIDGET(g_object_new(TYPE_YACOS_CART_ITEM, NULL));
}
