#ifndef CART_ITEM_H
#define CART_ITEM_H

#include <gtk/gtk.h>

G_BEGIN_DECLS
G_DECLARE_FINAL_TYPE(YacosCartItem, yacos_cart_item, YACOS, CART_ITEM, GtkListBoxRow)

#define TYPE_YACOS_CART_ITEM (yacos_cart_item_get_type())

typedef struct _YacosCartItemPriv {
	GtkLabel label_title;
	GtkLabel label_description;
	GtkLabel label_comment;
	GtkLabel label_id;

	GtkButton button_properties;
	GtkButton button_delete;

	GtkImage image;
} YacosCartItemPriv;

struct _YacosCartItem {
	/* Inheritance */
	GtkListBoxRow parent;
	/* Custom Elements */
	YacosCartItemPriv priv;
};

GtkWidget *yacos_cart_item_new(void);

G_END_DECLS

#endif // CART_ITEM_H
