#include "main_window.h"

struct mainWindow *mainWindow_new(GtkApplication *app)
{
	GtkBuilder *builder;
	struct mainWindow *mainWindow;

	builder = gtk_builder_new_from_resource("/net/notsyncing/yacos/glade/mainWindow.glade");

	mainWindow = malloc(sizeof(struct mainWindow));
	mainWindow->main_window = GTK_WIDGET(gtk_builder_get_object(builder, "main_window"));

	mainWindow->stack_main = GTK_STACK(gtk_builder_get_object(builder, "stack_main"));

	mainWindow->page_intro.box = GTK_WIDGET(gtk_builder_get_object(builder, "box_intro"));

	mainWindow->page_cart.box = GTK_WIDGET(gtk_builder_get_object(builder, "box_cart"));
	mainWindow->page_cart.list = GTK_LIST_BOX(gtk_builder_get_object(builder, "list_main"));

	gtk_builder_connect_signals(builder, NULL);

	g_object_unref(G_OBJECT(builder));

	return mainWindow;
}
